=== debian/control ===
Source: loolwsd
Section: web
Priority: optional
Maintainer: Tor Lillqvist <tml@collabora.com>
Build-Depends: debhelper (>= 9), dh-systemd (>= 1.3), libcap-dev, libcap2-bin, libpcre3-dev, libpng-dev, libpoco-dev (>= 1.7.5)
Standards-Version: 3.9.7

Package: loolwsd
Section: web
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, libsm6, libssl1.0.0, libodbc1, libxinerama1, libcairo2, libgl1-mesa-glx, libcups2, libdbus-glib-1-2, cpio, collaboraofficebasis5.1-base, collaboraofficebasis5.1-calc, collaboraofficebasis5.1-core, collaboraofficebasis5.1-draw, collaboraofficebasis5.1-extension-beanshell-script-provider, collaboraofficebasis5.1-extension-ct2n, collaboraofficebasis5.1-extension-javascript-script-provider, collaboraofficebasis5.1-extension-mediawiki-publisher, collaboraofficebasis5.1-extension-nlpsolver, collaboraofficebasis5.1-extension-numbertext, collaboraofficebasis5.1-extension-pdf-import, collaboraofficebasis5.1-extension-report-builder, collaboraofficebasis5.1-gnome-integration, collaboraofficebasis5.1-graphicfilter, collaboraofficebasis5.1-images, collaboraofficebasis5.1-impress, collaboraofficebasis5.1-librelogo, collaboraofficebasis5.1-math, collaboraofficebasis5.1-ogltrans, collaboraofficebasis5.1-ooofonts, collaboraofficebasis5.1-ooolinguistic, collaboraofficebasis5.1-postgresql-sdbc, collaboraofficebasis5.1-python-script-provider, collaboraofficebasis5.1-pyuno, collaboraofficebasis5.1-writer, collaboraofficebasis5.1-xsltfilter, collaboraoffice5.1, collaboraoffice5.1-base, collaboraoffice5.1-calc, collaboraoffice5.1-dict-en, collaboraoffice5.1-draw, collaboraoffice5.1-debian-menus, collaboraoffice5.1-impress, collaboraoffice5.1-math, collaboraoffice5.1-ure, collaboraoffice5.1-writer, collaboraofficebasis5.1-en-us, collaboraofficebasis5.1-en-us-base, collaboraofficebasis5.1-en-us-calc, collaboraofficebasis5.1-en-us-math, collaboraofficebasis5.1-en-us-res, collaboraofficebasis5.1-en-us-writer, collaboraoffice5.1-en-us
Description: LibreOffice On-Line WebSocket Daemon
 LOOLWSD is a daemon that talks to web browser clients and provides LibreOffice
 services.
